Bug 834848 - [RFE] Engine DB: static host columns are present in the host dynamic and statistics table.
[RFE] Engine DB: static host columns are present in the host dynamic and stat...
Status: CLOSED DEFERRED
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
x86_64 Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Oved Ourfali
Jiri Belka
: FutureFeature, Improvement, Performance
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 05:24 EDT by Yaniv Lavi
Modified: 2017-07-18 04:26 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-18 04:26:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mperina: ovirt‑future?
ylavi: planning_ack?
ylavi: devel_ack?
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2012-06-24 05:24:47 EDT
Description of problem:
The columns in host dynamic:
- physical_mem_mb
- cpu_model
- cpu_cores
- cpu_cores
- cpu_speed_mh
- host_os
- kernel_version
- kvm_version
- software_version
And this column in host statistics:
- swap_total

are static and should be moved to host static.
Comment 1 Itamar Heim 2012-06-24 05:29:09 EDT
why are they static?
host memory, number of cpu, os, kernel, etc. can be changed at host level and are detected by the system, while static tables are mostly for changes initated from the engine/user side?
Comment 2 Yaniv Lavi 2012-06-24 05:36:14 EDT
(In reply to comment #1)
> why are they static?
> host memory, number of cpu, os, kernel, etc. can be changed at host level
> and are detected by the system, while static tables are mostly for changes
> initated from the engine/user side?

Static means that they do not change often and these columns don't change often at all. How often do you add memory or upgrade os? Once a year? that's static.
Comment 3 Itamar Heim 2013-03-12 11:55:44 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 4 Yaniv Lavi 2013-03-13 04:40:02 EDT
still relevant
Comment 5 Eli Mesika 2013-11-11 16:12:19 EST
Seems hard to fix 
we treat 'Static' as all the fields known to the engine and 'dynamic' as all the fields for which we get a value from VDSM.
So the terminology is confusing , I agree that those names are bad , but can not see how we can change that in the near future
Comment 6 Yaniv Lavi 2013-11-12 05:44:12 EST
Isn't there a plan to make changes from vdsm be push vs the current pull method?
Will this not enable us to create real change level based tables?


Yaniv
Comment 7 Eli Mesika 2013-11-12 07:42:25 EST
(In reply to Yaniv Dary from comment #6)
> Isn't there a plan to make changes from vdsm be push vs the current pull
> method?
> Will this not enable us to create real change level based tables?
> 
> 
> Yaniv

I can not see how this is related
Comment 8 Yaniv Lavi 2013-11-13 03:52:54 EST
(In reply to Eli Mesika from comment #7)
> (In reply to Yaniv Dary from comment #6)
> > Isn't there a plan to make changes from vdsm be push vs the current pull
> > method?
> > Will this not enable us to create real change level based tables?
> > 
> > 
> > Yaniv
> 
> I can not see how this is related

That this task can now change tables at a lower rate and allow move of columns to mixed controlled tables.
Comment 9 Itamar Heim 2014-06-16 11:28:06 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 11 Red Hat Bugzilla Rules Engine 2015-10-19 06:59:46 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 12 Yaniv Kaul 2016-03-10 06:05:57 EST
Pushing to 4.1, to look at when we strive to move to metrics and do some additional cleanup.
I also don't think it's a bug but RFE. And I'm not sure what the impact on the user is.

Note You need to log in before you can comment on or make changes to this bug.